Bug 1649839 - zathura is not built against libsynctex
Summary: zathura is not built against libsynctex
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zathura
Version: 29
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 15:42 UTC by Gaspard Jankowiak
Modified: 2019-03-03 22:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-10 23:19:57 UTC


Attachments (Terms of Use)

Description Gaspard Jankowiak 2018-11-14 15:42:42 UTC
Description of problem:
It seems that the last build of zathura isn't compiled against libsynctex. It used to be the case in the past. This might be relevant: https://bugzilla.redhat.com/show_bug.cgi?id=1595910

Version-Release number of selected component (if applicable):
zathura 0.4.0

How reproducible:
Install zathura 0.4.0 (latest as of writing) and start it by passing synctex related options.

Steps to Reproduce:
1. $ zathura --synctex-forward

Actual results:
error: Error parsing command line arguments: Unknown option --synctex-forward

Expected results:
zathura starting

Comment 1 Petr Šabata 2018-11-14 19:57:39 UTC
Hmm, I remember looking into synctex issues in the past here but can't recall what I found.  Will check again.

Comment 2 Petr Šabata 2018-11-16 17:27:33 UTC
Okay, I think I have a fix.  Updates will land shortly.

Comment 3 Fedora Update System 2018-11-16 18:17:06 UTC
zathura-0.4.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-325fc6ba2e

Comment 4 Fedora Update System 2018-11-16 18:17:11 UTC
zathura-0.4.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5f7ef560d0

Comment 5 Fedora Update System 2018-11-17 04:45:10 UTC
zathura-0.4.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-325fc6ba2e

Comment 6 Fedora Update System 2018-11-17 06:40:07 UTC
zathura-0.4.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5f7ef560d0

Comment 7 Randy Barlow 2018-12-10 23:19:57 UTC
An update associated with this bug has been pushed to stable.

Comment 8 Randy Barlow 2018-12-11 17:04:09 UTC
A Fedora update associated with this bug has been pushed to the stable repository.

Comment 9 Randy Barlow 2018-12-14 20:41:19 UTC
A Fedora update associated with this bug has been pushed to the stable repository.

Comment 10 Huynh 2019-02-21 06:49:37 UTC
Zathura 0.4.3 for Fedora 29 does not support synctex.

$ zathura --version

zathura 0.4.3
girara 0.3.2 (runtime: 0.3.2)

$ zathura --syntex-forward

error: Error parsing command line arguments: Unknown option --syntex-forward

Comment 11 Petr Šabata 2019-03-03 22:19:13 UTC
(In reply to Huynh from comment #10)
> Zathura 0.4.3 for Fedora 29 does not support synctex.
> 
> $ zathura --version
> 
> zathura 0.4.3
> girara 0.3.2 (runtime: 0.3.2)
> 
> $ zathura --syntex-forward
> 
> error: Error parsing command line arguments: Unknown option --syntex-forward

Could you provide specific NVRs?  My zathura 0.4.3 on F29 works fine.

zathura-0.4.3-1.fc29.x86_64
girara-0.3.2-1.fc29.x86_64

% ldd /usr/bin/zathura|grep synctex
        libsynctex.so.1 => /lib64/libsynctex.so.1 (0x00007f3ed91a2000)

synctex options are supported.


Note You need to log in before you can comment on or make changes to this bug.